qpid::sys::PODMutex Struct Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes
qpid::sys::PODMutex Struct Reference

PODMutex is a POD, can be static-initialized with PODMutex m = QPID_PODMUTEX_INITIALIZER. More...

`#include <qpid/sys/posix/Mutex.h>`

List of all members.

## Public Types
typedef ::qpid::sys::ScopedLock < PODMutex > | ScopedLock
typedef ::qpid::sys::ScopedLock < PODMutex > | ScopedLock
## Public Member Functions
void | lock ()
void | unlock ()
bool | trylock ()
void | lock ()
void | unlock ()
bool | trylock ()
## Public Attributes
pthread_mutex_t | mutex
boost::recursive_mutex | mutex

## Detailed Description

PODMutex is a POD, can be static-initialized with PODMutex m = QPID_PODMUTEX_INITIALIZER.

Definition at line 91 of file Mutex.h.

## Member Typedef Documentation

typedef ::qpid::sys::ScopedLock<PODMutex> qpid::sys::PODMutex::ScopedLock

Definition at line 83 of file Mutex.h.

typedef ::qpid::sys::ScopedLock<PODMutex> qpid::sys::PODMutex::ScopedLock

Definition at line 93 of file Mutex.h.

## Member Function Documentation

void qpid::sys::PODMutex::lock | ( |  | ) | `[inline]`

Definition at line 95 of file Mutex.h.

References QPID_POSIX_ASSERT_THROW_IF, and mutex.

void qpid::sys::PODMutex::lock | ( |  | ) | `[inline]`

bool qpid::sys::PODMutex::trylock | ( |  | ) | `[inline]`

Definition at line 103 of file Mutex.h.

References mutex.

bool qpid::sys::PODMutex::trylock | ( |  | ) | `[inline]`

void qpid::sys::PODMutex::unlock | ( |  | ) | `[inline]`

Definition at line 99 of file Mutex.h.

References QPID_POSIX_ASSERT_THROW_IF, and mutex.

void qpid::sys::PODMutex::unlock | ( |  | ) | `[inline]`

## Member Data Documentation

pthread_mutex_t qpid::sys::PODMutex::mutex

Definition at line 90 of file Mutex.h.

Referenced by lock(), unlock(), and trylock().

boost::recursive_mutex qpid::sys::PODMutex::mutex

Definition at line 100 of file Mutex.h.

The documentation for this struct was generated from the following files:

- qpid/sys/posix/Mutex.h
- qpid/sys/windows/Mutex.h